MetacatUI - Feature #6607

Revise the Metadata View based on feedback from the AHM
10/06/2014 11:57 AM - Lauren Walker
Description

In the Metadata View:

- Make the ID of the data object more obvious that it is interactive

- Possibly display the Object Name (i.e. title) instead of the ID as the link to the item

- Collapse lists of IDs when there are more than X with a "See All..." link to expand the list

- Make a better title for the Downloads Content section at the top of the page - the ID links initially look like the links that will take you
to the Metadata about that object. Make a better title like, "Download Contents" or "Downloadable Files".

- Move Download All link to the top of the table instead of underneath

History

#1 - 10/09/2014 05:34 PM - Lauren Walker
- Status changed from New to In Progress

- % Done changed from 0 to 90

- Make the ID of the data object more obvious that it is interactive

| added a dotted border-bottom to the IDs.

- Possibly display the Object Name (i.e. title) instead of the ID as the link to the item

This only works when the data items are described in the current metadata doc. To keep things consistent, | kept the IDs as the link. A
tooltip can possibly be added that sends a Solr query to retrieve additional info, but I'm not sure what could be displayed that would be
useful... (no titles are indexed for data files...could display its metadata details)

- Collapse lists of IDs when there are more than X with a "See All..." link to expand the list

Done. Made a new view for this so it can be used elsewhere in the app.

Will do these two items next:

- Make a better title for the Downloads Content section at the top of the page - the ID links initially look like the links that will take you to the Metadata

about that object. Make a better title like, "Download Contents" or "Downloadable Files".
- Move Download All link to the top of the table instead of underneath

#2 - 12/16/2014 02:45 PM - Lauren Walker

- Status changed from In Progress to Resolved
